package com.brilliance.isc.funds.fxtfcm.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.bo.funds.FxtfcmStoreBo;
import com.brilliance.isc.funds.transfer.transaction.FxtfcmStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtfcmStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtfcmResource
 * @description: 结售汇平盘确认 Fxtfcm 请求入口
 * @author: xiaotong
 * @create: 2024-10-11 17:09
 */

@RestController
@RequestMapping("/fxtfcm")
public class FxtfcmResource extends AbstractTransactionController<FxtfcmStoreVo> {

    @Resource
    private FxtfcmStructMapper fxtfcmStructMapper;

    public IStructMapper getStructMapper() {
        return fxtfcmStructMapper;
    }
}
