package com.brilliance.isc.funds.vo.funds;

import com.brilliance.isc.bo.model.Fxdgrp;
import com.brilliance.isc.bo.model.Fxtp;
import com.brilliance.isc.bo.model.Mt30m;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-funds
 * @ClassName: FxtlcmStoreVo
 * @description: 结售汇平盘确认vo
 * @author: Lenovo
 * @create: 2024-10-14 11:38
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxtlcmStoreVo extends BaseTransactionVo {

    //APLACC's Account
    private  String acc2= null;
    //OWNACC's Account
    private  String acc1= null;
    //发送MT300
    private  String swtflg= null;
    //XMLPanel fxt300l1的内置block
    private  String fxt300l1blk= null;

    private Fxdgrp fxdgrp;

    private Fxtp fxtp;

    private Mt30m mt30m;

    private PtsptaVo aplacc;

    @Override
    public void reset() {
        super.reset();
        if (fxdgrp == null) {
            fxdgrp = new Fxdgrp();
        }
        fxdgrp.reset();

        if (fxtp == null) {
            fxtp = new Fxtp();
        }
        fxtp.reset();
    }
}
